Index: src/Actions/GlobalListOfActions.hpp
===================================================================
--- src/Actions/GlobalListOfActions.hpp	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
+++ src/Actions/GlobalListOfActions.hpp	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
@@ -14,103 +14,117 @@
 #endif
 
+#include <boost/preprocessor/seq/push_back.hpp>
+
+// this is global list of actions valid for all cases
+#define GLOBALLISTOFACTIONS_initial \
+  (Redo) \
+  (GraphSubgraphDissection) \
+  (GraphCreateAdjacency) \
+  (GraphDepthFirstSearch) \
+  (MoleculeSaveTemperature) \
+  (MoleculeCopy) \
+  (MoleculeSuspendInWater) \
+  (MoleculeFillWithMolecule) \
+  (MoleculeRotateToPrincipalAxisSystem) \
+  (MoleculeSaveAdjacency) \
+  (MoleculeFillVoidWithMolecule) \
+  (MoleculeVerletIntegration) \
+  (MoleculeChangeName) \
+  (MoleculeRotateAroundSelfByAngle) \
+  (MoleculeSaveSelectedMolecules) \
+  (MoleculeSaveBonds) \
+  (MoleculeLinearInterpolationofTrajectories) \
+  (MoleculeLoad) \
+  (MoleculeBondFile) \
+  (TesselationNonConvexEnvelope) \
+  (TesselationConvexEnvelope) \
+  (CommandElementDb) \
+  (CommandVerbose) \
+  (CommandWarranty) \
+  (CommandVersion) \
+  (CommandHelp) \
+  (CommandBondLengthTable) \
+  (CommandFastParsing) \
+  (ParserSetTremoloAtomdata) \
+  (ParserParseTremoloPotentials) \
+  (ParserSaveSelectedAtomsAsExtTypes) \
+  (ParserSetParserParameters) \
+  (ParserSetOutputFormats) \
+  (AnalysisCalculateBoundingBox) \
+  (AnalysisCalculateCellVolume) \
+  (AnalysisCalculateMolarMass) \
+  (AnalysisDipoleAngularCorrelation) \
+  (AnalysisDipoleCorrelation) \
+  (AnalysisPairCorrelation) \
+  (AnalysisPointCorrelation) \
+  (AnalysisSurfaceCorrelation) \
+  (AnalysisMolecularVolume) \
+  (AnalysisPrincipalAxisSystem) \
+  (CommandSetRandomNumbersEngine) \
+  (CommandSetRandomNumbersDistribution) \
+  (Undo) \
+  (AtomSaveSelectedAtoms) \
+  (AtomRotateAroundOriginByAngle) \
+  (AtomChangeElement) \
+  (AtomRemove) \
+  (AtomTranslate) \
+  (AtomAdd) \
+  (WorldCenterInBox) \
+  (WorldRepeatBox) \
+  (WorldChangeBox) \
+  (WorldCenterOnEdge) \
+  (WorldSetWorldTime) \
+  (WorldSetBoundaryConditions) \
+  (WorldOutput) \
+  (WorldSetDefaultName) \
+  (WorldScaleBox) \
+  (WorldAddEmptyBoundary) \
+  (WorldBoundInBox) \
+  (WorldInput) \
+  (SelectionNotMoleculeOfAtom) \
+  (SelectionNotAllMolecules) \
+  (SelectionNotMoleculeById) \
+  (SelectionMoleculeByOrder) \
+  (SelectionMoleculeOfAtom) \
+  (SelectionNotMoleculeByOrder) \
+  (SelectionMoleculeByName) \
+  (SelectionMoleculeById) \
+  (SelectionAllMolecules) \
+  (SelectionClearAllMolecules) \
+  (SelectionInvertMolecules) \
+  (SelectionMoleculeByFormula) \
+  (SelectionNotMoleculeByFormula) \
+  (SelectionNotMoleculeByName) \
+  (SelectionNotAtomById) \
+  (SelectionNotAtomByOrder) \
+  (SelectionAllAtomsInsideCuboid) \
+  (SelectionAllAtoms) \
+  (SelectionClearAllAtoms) \
+  (SelectionInvertAtoms) \
+  (SelectionNotAllAtoms) \
+  (SelectionNotAtomByElement) \
+  (SelectionAllAtomsInsideSphere) \
+  (SelectionAllAtomsOfMolecule) \
+  (SelectionNotAllAtomsInsideSphere) \
+  (SelectionAtomByElement) \
+  (SelectionNotAllAtomsOfMolecule) \
+  (SelectionNotAllAtomsInsideCuboid) \
+  (SelectionAtomById) \
+  (SelectionAtomByOrder) \
+  (FragmentationFragmentation) \
+  (FillRegularGrid) \
+  (FillSphericalSurface)
+
+// we need to append the automation action in case we have the JobMarket
+#ifdef HAVE_JOBMARKET
 #define GLOBALLISTOFACTIONS \
-	(Redo) \
-	(GraphSubgraphDissection) \
-	(GraphCreateAdjacency) \
-	(GraphDepthFirstSearch) \
-	(MoleculeSaveTemperature) \
-	(MoleculeCopy) \
-	(MoleculeSuspendInWater) \
-	(MoleculeFillWithMolecule) \
-	(MoleculeRotateToPrincipalAxisSystem) \
-	(MoleculeSaveAdjacency) \
-	(MoleculeFillVoidWithMolecule) \
-	(MoleculeVerletIntegration) \
-	(MoleculeChangeName) \
-	(MoleculeRotateAroundSelfByAngle) \
-	(MoleculeSaveSelectedMolecules) \
-	(MoleculeSaveBonds) \
-	(MoleculeLinearInterpolationofTrajectories) \
-	(MoleculeLoad) \
-	(MoleculeBondFile) \
-	(TesselationNonConvexEnvelope) \
-	(TesselationConvexEnvelope) \
-	(CommandElementDb) \
-	(CommandVerbose) \
-	(CommandWarranty) \
-	(CommandVersion) \
-	(CommandHelp) \
-	(CommandBondLengthTable) \
-	(CommandFastParsing) \
-	(ParserSetTremoloAtomdata) \
-	(ParserParseTremoloPotentials) \
-	(ParserSaveSelectedAtomsAsExtTypes) \
-	(ParserSetParserParameters) \
-	(ParserSetOutputFormats) \
-	(AnalysisCalculateBoundingBox) \
-	(AnalysisCalculateCellVolume) \
-	(AnalysisCalculateMolarMass) \
-	(AnalysisDipoleAngularCorrelation) \
-	(AnalysisDipoleCorrelation) \
-	(AnalysisPairCorrelation) \
-	(AnalysisPointCorrelation) \
-	(AnalysisSurfaceCorrelation) \
-	(AnalysisMolecularVolume) \
-	(AnalysisPrincipalAxisSystem) \
-	(CommandSetRandomNumbersEngine) \
-	(CommandSetRandomNumbersDistribution) \
-	(Undo) \
-	(AtomSaveSelectedAtoms) \
-	(AtomRotateAroundOriginByAngle) \
-	(AtomChangeElement) \
-	(AtomRemove) \
-	(AtomTranslate) \
-	(AtomAdd) \
-	(WorldCenterInBox) \
-	(WorldRepeatBox) \
-	(WorldChangeBox) \
-	(WorldCenterOnEdge) \
-	(WorldSetWorldTime) \
-	(WorldSetBoundaryConditions) \
-	(WorldOutput) \
-	(WorldSetDefaultName) \
-	(WorldScaleBox) \
-	(WorldAddEmptyBoundary) \
-	(WorldBoundInBox) \
-	(WorldInput) \
-	(SelectionNotMoleculeOfAtom) \
-	(SelectionNotAllMolecules) \
-	(SelectionNotMoleculeById) \
-	(SelectionMoleculeByOrder) \
-	(SelectionMoleculeOfAtom) \
-	(SelectionNotMoleculeByOrder) \
-	(SelectionMoleculeByName) \
-	(SelectionMoleculeById) \
-	(SelectionAllMolecules) \
-	(SelectionClearAllMolecules) \
-  (SelectionInvertMolecules) \
-	(SelectionMoleculeByFormula) \
-	(SelectionNotMoleculeByFormula) \
-	(SelectionNotMoleculeByName) \
-	(SelectionNotAtomById) \
-	(SelectionNotAtomByOrder) \
-	(SelectionAllAtomsInsideCuboid) \
-	(SelectionAllAtoms) \
-	(SelectionClearAllAtoms) \
-  (SelectionInvertAtoms) \
-	(SelectionNotAllAtoms) \
-	(SelectionNotAtomByElement) \
-	(SelectionAllAtomsInsideSphere) \
-	(SelectionAllAtomsOfMolecule) \
-	(SelectionNotAllAtomsInsideSphere) \
-	(SelectionAtomByElement) \
-	(SelectionNotAllAtomsOfMolecule) \
-	(SelectionNotAllAtomsInsideCuboid) \
-	(SelectionAtomById) \
-	(SelectionAtomByOrder) \
-	(FragmentationFragmentation) \
-  (FragmentationFragmentationAutomation) \
-	(FillRegularGrid) \
-	(FillSphericalSurface)
+    BOOST_PP_SEQ_PUSH_BACK( \
+        GLOBALLISTOFACTIONS_initial, \
+        FragmentationFragmentationAutomation \
+      )
+#else
+#define GLOBALLISTOFACTIONS \
+    GLOBALLISTOFACTIONS_initial
+#endif /* HAVE_JOBMARKET */
 
 #endif /* GLOBALLISTOFACTIONS_HPP_ */
Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision edecbab733e2e5f7d3ca8b8784d033c00dca3c0d)
+++ src/Actions/Makefile.am	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
@@ -191,12 +191,18 @@
 
 FRAGMENTATIONACTIONSOURCE = \
-  Actions/FragmentationAction/FragmentationAction.cpp \
+  Actions/FragmentationAction/FragmentationAction.cpp
+FRAGMENTATIONACTIONHEADER = \
+  Actions/FragmentationAction/FragmentationAction.hpp
+FRAGMENTATIONACTIONDEFS = \
+  Actions/FragmentationAction/FragmentationAction.def
+
+if CONDJOBMARKET
+FRAGMENTATIONACTIONSOURCE += \
   Actions/FragmentationAction/FragmentationAutomationAction.cpp
-FRAGMENTATIONACTIONHEADER = \
-  Actions/FragmentationAction/FragmentationAction.hpp \
+FRAGMENTATIONACTIONHEADER += \
   Actions/FragmentationAction/FragmentationAutomationAction.hpp
-FRAGMENTATIONACTIONDEFS = \
-  Actions/FragmentationAction/FragmentationAction.def \
+FRAGMENTATIONACTIONDEFS += \
   Actions/FragmentationAction/FragmentationAutomationAction.def
+endif
 
 GRAPHACTIONSOURCE = \
@@ -457,4 +463,8 @@
 	libMolecuilderActionPrototypes.la
 #	libMolecuilderActionPython.la
+libMolecuilderActionPrototypes_la_CPPFLAGS = $(AM_CPPFLAGS)
+if CONDJOBMARKET
+libMolecuilderActionPrototypes_la_CPPFLAGS += $(JobMarket_CFLAGS)
+endif
 libMolecuilderActions_la_includedir = $(includedir)/MoleCuilder/Actions/
 libMolecuilderActionPrototypes_la_includedir = $(includedir)/MoleCuilder/Actions/
